# Generated from gouv-calendar-compilator-1.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gouv-calendar-compilator

Name: rubygem-%{gem_name}
Version: 1.0.4
Release: 1%{?dist}
Summary: Gouv Calendar Compilator
License: GPL v3
URL: https://rubygems.org/gems/gouv-calendar-compilator
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5
# BuildRequires: rubygem(bundler-audit)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec-dry-struct)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(rubocop-rspec)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(yard)
BuildArch: noarch

%description
Fetches and compiles school holidays and national days off gouvernement data
into a JSON file.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.4-1
- Initial package
